packagekit_1.1.12-5+b1_i386.deb


Advertisement

Description

packagekit - Provides a package management service

Property Value
Distribution Debian Sid
Repository Debian Main i386
Package filename packagekit_1.1.12-5+b1_i386.deb
Package name packagekit
Package version 1.1.12
Package release 5+b1
Package architecture i386
Package type deb
Category admin admin::package-management implemented-in::c implemented-in::python role::program
Homepage https://www.freedesktop.org/software/PackageKit/
License -
Maintainer Matthias Klumpp <mak@debian.org>
Download size 597.90 KB
Installed size 2.79 MB

Alternatives

Package Version Architecture Repository
packagekit_1.1.12-5+b1_amd64.deb 1.1.12 amd64 Debian Main
packagekit - - -

Requires

Name Value
libappstream4 >= 0.10.0
libapt-inst2.0 >= 1.8
libapt-pkg5.0 >= 1.8
libc6 >= 2.28
libgcc1 >= 1:3.0
libglib2.0-0 >= 2.46
libglib2.0-bin -
libgstreamer1.0-0 >= 1.0.0
libpackagekit-glib2-18 >= 1.1.9
libpolkit-gobject-1-0 >= 0.99
libsqlite3-0 >= 3.5.9
libstdc++6 >= 5.2
libsystemd0 >= 214
policykit-1 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package packagekit_1.1.12-5+b1_i386.deb
Source Package packagekit

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install packagekit deb package:
    # sudo apt-get install packagekit

Files

Path
/etc/PackageKit/PackageKit.conf
/etc/PackageKit/Vendor.conf
/etc/apt/apt.conf.d/20packagekit
/etc/dbus-1/system.d/org.freedesktop.PackageKit.conf
/lib/systemd/system/packagekit-offline-update.service
/lib/systemd/system/packagekit.service
/lib/systemd/system/system-update.target.wants/packagekit-offline-update.service
/usr/lib/i386-linux-gnu/packagekit-backend/libpk_backend_aptcc.so
/usr/lib/i386-linux-gnu/packagekit-backend/libpk_backend_dummy.so
/usr/lib/i386-linux-gnu/packagekit-backend/libpk_backend_test_fail.so
/usr/lib/i386-linux-gnu/packagekit-backend/libpk_backend_test_nop.so
/usr/lib/i386-linux-gnu/packagekit-backend/libpk_backend_test_spawn.so
/usr/lib/i386-linux-gnu/packagekit-backend/libpk_backend_test_succeed.so
/usr/lib/i386-linux-gnu/packagekit-backend/libpk_backend_test_thread.so
/usr/lib/packagekit/packagekit-direct
/usr/lib/packagekit/packagekitd
/usr/lib/packagekit/pk-offline-update
/usr/share/PackageKit/helpers/aptcc/pkconffile
/usr/share/PackageKit/helpers/aptcc/pkconffile.nodiff
/usr/share/PackageKit/helpers/test_spawn/search-name.sh
/usr/share/dbus-1/interfaces/org.freedesktop.PackageKit.Transaction.xml
/usr/share/dbus-1/interfaces/org.freedesktop.PackageKit.xml
/usr/share/dbus-1/system-services/org.freedesktop.PackageKit.service
/usr/share/doc/packagekit/NEWS.gz
/usr/share/doc/packagekit/README.Debian
/usr/share/doc/packagekit/changelog.Debian.gz
/usr/share/doc/packagekit/changelog.Debian.i386.gz
/usr/share/doc/packagekit/copyright
/usr/share/locale/ar/LC_MESSAGES/PackageKit.mo
/usr/share/locale/as/LC_MESSAGES/PackageKit.mo
/usr/share/locale/ast/LC_MESSAGES/PackageKit.mo
/usr/share/locale/az/LC_MESSAGES/PackageKit.mo
/usr/share/locale/bg/LC_MESSAGES/PackageKit.mo
/usr/share/locale/bn_IN/LC_MESSAGES/PackageKit.mo
/usr/share/locale/br/LC_MESSAGES/PackageKit.mo
/usr/share/locale/ca/LC_MESSAGES/PackageKit.mo
/usr/share/locale/ca@valencia/LC_MESSAGES/PackageKit.mo
/usr/share/locale/cs/LC_MESSAGES/PackageKit.mo
/usr/share/locale/cy/LC_MESSAGES/PackageKit.mo
/usr/share/locale/da/LC_MESSAGES/PackageKit.mo
/usr/share/locale/de/LC_MESSAGES/PackageKit.mo
/usr/share/locale/el/LC_MESSAGES/PackageKit.mo
/usr/share/locale/en_GB/LC_MESSAGES/PackageKit.mo
/usr/share/locale/eo/LC_MESSAGES/PackageKit.mo
/usr/share/locale/es/LC_MESSAGES/PackageKit.mo
/usr/share/locale/eu/LC_MESSAGES/PackageKit.mo
/usr/share/locale/fa/LC_MESSAGES/PackageKit.mo
/usr/share/locale/fi/LC_MESSAGES/PackageKit.mo
/usr/share/locale/fo/LC_MESSAGES/PackageKit.mo
/usr/share/locale/fr/LC_MESSAGES/PackageKit.mo
/usr/share/locale/ga/LC_MESSAGES/PackageKit.mo
/usr/share/locale/gl/LC_MESSAGES/PackageKit.mo
/usr/share/locale/gu/LC_MESSAGES/PackageKit.mo
/usr/share/locale/he/LC_MESSAGES/PackageKit.mo
/usr/share/locale/hi/LC_MESSAGES/PackageKit.mo
/usr/share/locale/hr/LC_MESSAGES/PackageKit.mo
/usr/share/locale/hu/LC_MESSAGES/PackageKit.mo
/usr/share/locale/ia/LC_MESSAGES/PackageKit.mo
/usr/share/locale/id/LC_MESSAGES/PackageKit.mo
/usr/share/locale/it/LC_MESSAGES/PackageKit.mo
/usr/share/locale/ja/LC_MESSAGES/PackageKit.mo
/usr/share/locale/ka/LC_MESSAGES/PackageKit.mo
/usr/share/locale/kk/LC_MESSAGES/PackageKit.mo
/usr/share/locale/kn/LC_MESSAGES/PackageKit.mo
/usr/share/locale/ko/LC_MESSAGES/PackageKit.mo
/usr/share/locale/lt/LC_MESSAGES/PackageKit.mo
/usr/share/locale/lv/LC_MESSAGES/PackageKit.mo
/usr/share/locale/ml/LC_MESSAGES/PackageKit.mo
/usr/share/locale/mr/LC_MESSAGES/PackageKit.mo
/usr/share/locale/ms/LC_MESSAGES/PackageKit.mo
/usr/share/locale/nb/LC_MESSAGES/PackageKit.mo
/usr/share/locale/nl/LC_MESSAGES/PackageKit.mo
/usr/share/locale/nn/LC_MESSAGES/PackageKit.mo
/usr/share/locale/oc/LC_MESSAGES/PackageKit.mo
/usr/share/locale/or/LC_MESSAGES/PackageKit.mo
/usr/share/locale/pa/LC_MESSAGES/PackageKit.mo
/usr/share/locale/pl/LC_MESSAGES/PackageKit.mo
/usr/share/locale/pt/LC_MESSAGES/PackageKit.mo
/usr/share/locale/pt_BR/LC_MESSAGES/PackageKit.mo
/usr/share/locale/ro/LC_MESSAGES/PackageKit.mo
/usr/share/locale/ru/LC_MESSAGES/PackageKit.mo
/usr/share/locale/sk/LC_MESSAGES/PackageKit.mo
/usr/share/locale/sl/LC_MESSAGES/PackageKit.mo
/usr/share/locale/sq/LC_MESSAGES/PackageKit.mo
/usr/share/locale/sr/LC_MESSAGES/PackageKit.mo
/usr/share/locale/sr@latin/LC_MESSAGES/PackageKit.mo
/usr/share/locale/sv/LC_MESSAGES/PackageKit.mo
/usr/share/locale/ta/LC_MESSAGES/PackageKit.mo
/usr/share/locale/te/LC_MESSAGES/PackageKit.mo
/usr/share/locale/th/LC_MESSAGES/PackageKit.mo
/usr/share/locale/tr/LC_MESSAGES/PackageKit.mo
/usr/share/locale/uk/LC_MESSAGES/PackageKit.mo
/usr/share/locale/vi/LC_MESSAGES/PackageKit.mo
/usr/share/locale/wa/LC_MESSAGES/PackageKit.mo
/usr/share/locale/zh_CN/LC_MESSAGES/PackageKit.mo
/usr/share/locale/zh_HK/LC_MESSAGES/PackageKit.mo
/usr/share/locale/zh_TW/LC_MESSAGES/PackageKit.mo
/usr/share/polkit-1/actions/org.freedesktop.packagekit.policy
/usr/share/polkit-1/rules.d/org.freedesktop.packagekit.rules
/var/lib/polkit-1/localauthority/10-vendor.d/org.freedesktop.packagekit.pkla

Changelog

2019-03-02 - Matthias Klumpp <mak@debian.org>
packagekit (1.1.12-5) unstable; urgency=medium
* Fix FTBFS on !amd64 architectures by removing the
GTK+2 plugin properly.
2019-03-02 - Matthias Klumpp <mak@debian.org>
packagekit (1.1.12-4) unstable; urgency=medium
* Add aptcc-frontend-locking.patch
- This implements APT frontend locking, which prevents other programs
from stealing the dpkg lock in race conditions where apt(cc) has to
release the lock in order to run dpkg.
2019-03-01 - Matthias Klumpp <mak@debian.org>
packagekit (1.1.12-3) unstable; urgency=medium
* Do not ship the GTK+2 plugin (Closes: #922118)
- Unfortunately we still need to build-depend on GTK+2 to
enable the GTK plugin build.
2019-02-26 - Matthias Klumpp <mak@debian.org>
packagekit (1.1.12-2) unstable; urgency=medium
[ Matthias Klumpp ]
* Remove Ubuntu-specific patch series, handle vendor config by
conditionally installing it in d/rules (Closes: #915352)
* Add no-distupgrade.patch:
- Disable GetDistroUpgrades() completely, it was partially
disabled before but still caused problems.
* Add keep-ref-on-transaction-while-doing-polkit-call.patch
- Avoids some log spam
[ Andrew Hayzen ]
* Add aptcc-use-correct-return-type-in-function.patch:
- Fix function return type, which resolves packagekitd crash
when gnome-software launches, causing gnome-software to hang
(Closes: #917812, #922236)
2018-12-22 - Matthias Klumpp <mak@debian.org>
packagekit (1.1.12-1) unstable; urgency=medium
* New upstream version: 1.1.12
- Applied aptcc patches carried in Debian
- common: Handle quoted strings in /etc/os-release
- offline update: Fix translations to show up
* Drop aptcc patches: Applied upstream
2018-10-15 - Matthias Klumpp <mak@debian.org>
packagekit (1.1.11-1) unstable; urgency=medium
* New upstream version: 1.1.11
* Never restart packagekitd via systemd after an upgrade of the daemon
* Add aptcc-always-do-multiarch-lookups.patch
- Always check multi-arch paths for .list files, as dpkg always adds the
architecture, even on non-multiarch systems.
* Add aptcc-update-section-mappings.patch
- Updates aptcc section mappings (Closes: #880484)
* Bump standards version: No changes needed
* Mark packagekit-docs as MA-foreign
2018-04-23 - Matthias Klumpp <mak@debian.org>
packagekit (1.1.10-1) unstable; urgency=high
* New upstream release: 1.1.10
- This release fixes CVE-2018-1106 (Closes: #896703)
- aptcc: Not all downloads have to be packages
- aptcc: Return multiple packages when using '|' operator
- aptcc: Simplify search methods
* Bump standards version: No changes needed
* Update Vcs-* URLs to point to Salsa
* Use auth_admin instead of auth_admin_keep as default authorization
for downgrades and package removals.
2018-03-12 - Matthias Klumpp <mak@debian.org>
packagekit (1.1.9-1) unstable; urgency=medium
* New upstream version: 1.1.9
* Drop patches: Applied upstream
* Adjust for dh compat level 11
* Update symbols file
* d/watch: Use https URL
* d/rules: Drop obsolete dh modules
2017-09-24 - Matthias Klumpp <mak@debian.org>
packagekit (1.1.7-1) unstable; urgency=medium
[ Matthias Klumpp ]
* New upstream version: 1.1.7
* Drop all patches: Applied upstream
* Add aptcc-fix-mimetype-search.patch: Don't fail when searching for mimetypes
- See LP: #1719077
* Bump standards and dh version
* Fail on missing files
* Add missing build-dependency on libappstream-dev
[ Iain Lane ]
* Always rebuild gtk-doc documentation

See Also

Package Description
packagesearch_2.7.11_i386.deb GUI for searching packages and viewing package information
packaging-dev_0.8_all.deb convenient tools to develop packages
packaging-tutorial_0.24_all.deb introduction to Debian packaging
packer_1.3.4+dfsg-4+b1_i386.deb tool for creating machine images for multiple platforms
packeth_1.6.5-2+b2_i386.deb Ethernet packet generator
packit_1.6.1-2_i386.deb network packet generator and capture tool
packup_0.6-3_i386.deb CUDF solver based on pseudo-Boolean constraints
pacman4console_1.3-1+b4_i386.deb ncurses-based pacman game
pacman_10-17.2+b2_i386.deb Chase Monsters in a Labyrinth
paco_0.10-1.1_all.deb Transitional package to pull in porg
pacpl_6.1.0-1_all.deb multi-purpose audio converter/ripper/tagger script
pads_1.2-11.1+b1_i386.deb Passive Asset Detection System
padthv1-common_0.8.6-1_i386.deb old-school polyphonic additive synthesizer - common files
padthv1-lv2_0.8.6-1_i386.deb old-school polyphonic additive synthesizer - LV2 plugin
padthv1_0.8.6-1_i386.deb old-school polyphonic additive synthesizer - standalone app
Advertisement
Advertisement